# H245_H262VideoMode_profileAndLevel Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_profileAndLevel_SPatML, e_profileAndLevel_MPatLL, e_profileAndLevel_MPatML, e_profileAndLevel_MPatH_14, e_profileAndLevel_MPatHL, e_profileAndLevel_SNRatLL, e_profileAndLevel_SNRatML, e_profileAndLevel_SpatialatH_14, e_profileAndLevel_HPatML, e_profileAndLevel_HPatH_14, e_profileAndLevel_HPatHL }

## Public Member Functions

| H245_H262VideoMode_profileAndLevel (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_H262VideoMode_profileAndLevel::Choices

Enumerator:

  e_profileAndLevel_SPatML |
  e_profileAndLevel_MPatLL |
  e_profileAndLevel_MPatML |
  e_profileAndLevel_MPatH_14 |
  e_profileAndLevel_MPatHL |
  e_profileAndLevel_SNRatLL |
  e_profileAndLevel_SNRatML |
  e_profileAndLevel_SpatialatH_14 |
  e_profileAndLevel_HPatML |
  e_profileAndLevel_HPatH_14 |
  e_profileAndLevel_HPatHL |

## Constructor & Destructor Documentation

H245_H262VideoMode_profileAndLevel::H245_H262VideoMode_profileAndLevel | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H245_H262VideoMode_profileAndLevel::CreateObject | ( |  | ) |

PObject* H245_H262VideoMode_profileAndLevel::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h